import type { ColumnsDefine } from '@visactor/vtable';
/**
 * 从树形结构中提取所有叶子节点的ID
 */
export declare function extractLeafIds<T extends {
    id: string;
}>(tree: T[]): Set<string>;
export declare const treeTreeToColumns: <T extends object, U extends {
    children?: (T | U)[];
}>(tree: (T | U)[], callback?: (node: T | U) => object) => ColumnsDefine[];
